    # File lib/rbot/core/utils/extends.rb, line 23
      def define_structure(name, *members)
        sym = name.to_sym
        if Struct.const_defined?(sym)
          kl = Struct.const_get(sym)
          if kl.new.members.map { |member| member.intern } == members.map
            debug "Struct #{sym} previously defined, skipping"
            const_set(sym, kl)
            return
          end
        end
        debug "Defining struct #{sym} with members #{members.inspect}"
        const_set(sym, Struct.new(name.to_s, *members))
      end